/// unit zaoberajuci sa zobrazovanim about box-u
unit About;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, jpeg;

type
  /// tato trieda zobrazuje about box
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    OKButton: TButton;
    procedure FormShow(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.dfm}

/// procedura na spracovanie kliknutia na OK tlacidlo
procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
  Close;
end;

/// procedura zobrazujuca about box
procedure TAboutBox.FormShow(Sender: TObject);
var i: Integer;
begin
  ProductName.Caption := 'Product Name ';
  for i := 25 downto Length(Application.Title) do
    ProductName.Caption := ProductName.Caption + ' ';
  ProductName.Caption := ProductName.Caption + Application.Title;
end;

end.
 
